# Hint for Emacs: -*- perl -*-
#
# itchconfig/itchlib.pm - helper library
# This file is part of itchconfig (<http://itchconfig.sourceforge.net/>), a
# config tool created by Arne Thomassen; itchconfig is basically released under
# certain versions of the GNU General Public License and WITHOUT ANY WARRANTY.
# Read the file COPYING for license details, README for program information.
# Copyright (C) 2002 Arne Thomassen <arne@arne-thomassen.de>

$progversion = '0.0.4';
$__progname = '';
$progname = $0;
$verbosity = 2; # 0=quiet, 1=errors, 2=warnings, 3=info, 4=debug
$debug = 0;

1;

sub itchlib_init
{ $__progname = $_[0];
}

sub show_version
{ print "$__progname $progversion - Copyright (C) 2002 Arne Thomassen <arne\@arne-thomassen.de>\n",
    "itchconfig is basically released under certain versions of the\n",
    "GNU General Public License and WITHOUT ANY WARRANTY.\n",
    "The project home page is <http://itchconfig.sourceforge.net/>.\n";
  exit(0);
}

sub fatal_error
{ my $text = $_[0];
  my $errstr = ( ($! ne '') ? " ($!)" : '' );
  die "$progname: $text$errstr";
}

sub show_message
{ if ($verbosity >= $_[1]) { print "$_[0]\n"; }
}

sub show_error
{ show_message("Error: $_[0]", 1);
}

sub show_warning
{ show_message("Warning: $_[0]", 2);
}

sub show_info
{ show_message($_[0], 3);
}

sub debug
{ show_message($_[0], 4);
}
